Subject: Bug#708 closed by Stefan Baur <[email-masked]> (Re: x2gosqlitewrapper.pl reports "unable to open database" on session-resume, while the database is there.)

From: [email-masked] (X2Go Bug Tracking System)
Date: Thu, 08 Jan 2015 17:15:02 +0000

This is an automatic notification regarding your Bug report
which was filed against the x2goserver package:

#708: x2gosqlitewrapper.pl reports "unable to open database" on session-resume, while the database is there.

It has been closed by Stefan Baur <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Baur <[email-masked]> by
replying to this email.

-- 
708: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=708
X2Go Bug Tracking System
Contact [email-masked] with problems

Subject: Re: x2gosqlitewrapper.pl reports "unable to open database" on session-resume, while the database is there.
From: Stefan Baur <[email-masked]>
To: "Zuck, Daniel" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Thu, 08 Jan 2015 18:07:26 +0100

Control: close -1
thanks

Am 08.01.2015 um 18:00 schrieb Zuck, Daniel:

> I understand it is hard to debug, and there is nothing more to do
> at this point in time; so I am absolutely OK to close the bug.

Thank you. :)

> However, if it reappears in the future, we have some sort of
> "knowledge base" to refer to - so the bug may be useful for this
> type of purpose.

Totally okay, that's why our bug tracker is public.

> Related any "success stories", I am bound to pipe this thru our
> "corporate communications", and it may be helpful to sort out the
> level of "evangelism" internally before. I am personally open to do
> so, and you may PING me from time to time in order to keep each
> other posted - in case I forget.

If you want to, you can pass my contact details (see footer) on to
your corporate communications department, or send me their contact
details off-list.  I'll make a note in my calendar for January 29,
2015, and ping you again then, if I don't hear from you or your
corporate communications department sooner. Okay? :-)

- -Stefan

- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

Subject: x2gosqlitewrapper.pl reports "unable to open database" on session-resume, while the database is there.
From: "Zuck, Daniel" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: Guggenbühl, Oliver<[email-masked]>, "Talvacchia, Claudio" <[email-masked]>
Date: Fri, 19 Dec 2014 10:14:13 +0000

Package: x2goserver
Version: 4.0.1.15

Hello

The environment ist:
x2goagent: 3.5.0.27
x2goserver: 4.0.1.15
x2goserver-compat: 4.0.1.15
x2goserver-extensions: 4.0.1.15
x2goserver-fmbindings: 4.0.1.15
x2goserver-printing: 4.0.1.15
x2goserver-pyhoca: 4.0.1.15
x2goserver-xsession: 4.0.1.15
running on SLES11SP3. We have several servers running X2go, where at two systems a session resume raises an error since the same day:

DBD::SQLite::st execute failed: unable to open database file at /usr/lib/x2go/x2gosqlitewrapper.pl line 320.
syslog: invalid level/facility: error at /usr/lib/x2go/x2gosqlitewrapper.pl line 323

The message is shown by the X2Go-Client on a reconnect, right before the "session-status-info-window" becomes visible. Now at the GUI "Suspend Session" (in German: Anhalten) is selected, after this a reconnect to the session to resume. On clicking "Suspend Session", the error message is shown again. Then the session is selected and "klicked", which results in a "normal" resume of the session, and the remote GUI becomes visible.

The Syslog however has entries which read like the session is suspended/resumed correctly without any issues:

Dec 19 10:15:35 mxxxxxxxxx02 /usr/bin/x2gosuspend-session: session with ID XYZAB-76-1417681012_stDGNOME_dp32 has been suspended successfully
Dec 19 10:16:30 mxxxxxxxxx02 /usr/bin/x2gosuspend-session: session with ID XYZAB-76-1417681012_stDGNOME_dp32 has been suspended successfully
Dec 19 10:16:39 mxxxxxxxxx02 /usr/bin/x2goresume-session: client 10.43.142.67 has successfully resumed session with ID XYZAB-76-1417681012_stDGNOME_dp32
Dec 19 10:16:49 mxxxxxxxxx02 /usr/bin/x2gosetkeyboard: Setting X keyboard according to /home/XYZAB/.x2go/C-XYZAB-76-1417681012_stDGNOME_dp32/keyboard

Investigating further: When calling "x2golistsessions_root", the script lists a number of states, including the error-message above. So it appears to me, there is a consistency issue with the SQLite-DB. I strongly assume, it can be worked-around by recreating the DB, but I would like to sort out the reason, why it came to this status.

My questions:
Is this issue known? - I did not find anything like this at the bugtracker.
What information is needed for further investigations? - The system is still in this state, so we can pull further infos.

Regards

Daniel Zuck

SIX
DGI-OIE
Hardturmstrasse 201
Postfach
8021 Zürich

T +41 58 399 23 56 

http://www.six-group.com
mailto:[email-masked]

The content of this e-mail is intended only for the confidential use of the person addressed. 
If you are not the intended recipient, please notify the sender and delete this email immediately.
Thank you.